var Service = require('Service');
var util = require('util');

/**
 * 获得日志信息
 */
var GetLogInfo = function() { 
  Service.call(this);
};

util.inherits(GetLogInfo, Service);

module.exports = GetLogInfo;

/**
 * 处理服务请求
 * @param  {Object} req 服务请求对象
 * @param  {Object} res 服务响应对象
 */
GetLogInfo.prototype.process =  function(req, res) { 
  res.data = {};
  for(p in server.config.Logger) {
  	if(p=='saveToDB') {
  		for(pp in server.config.Logger.saveToDB) {
  			res.data[pp] = server.config.Logger.saveToDB[pp];
  		}
  	} else {
	  	res.data[p] = server.config.Logger[p];
	  }
  }
  if(!res.data.logFileSavePath || res.data.logFileSavePath=='') 
  	res.data.logFileSavePath = '/logs';
  this.end(res);
};
